function do_run() {

	$(function() {
		$(document).ready(function() {
			$(document.body).on('click', "#likeuserclick", function() {
				$(this).attr('disabled', 'disabled');
				module = $(this).attr("module");
				id = $(this).attr("attr_id");
				kind = 3;
				
				$.ajax({
					type : 'post',
					url : site_url+'ajax.php?score',
					dataType : 'json', 
					data : {'id' : id, 'module' : module, 'kind' : kind },
					success: function(data) {
						if(data.error == 'yes') {
							$('body').ham3dModalbox({html: '<br /><a href="javascript:void(0);" onclick="$(\'#modalbox-wrap\').fadeOut(); return false;"><div class="add_popup"><div class="add_popup_content"><span>شما قبلا پسندیده اید!</span></div></div></a>', auto: 'ok'}).trigger('click');
							$( "#modalbox-wrap" ).fadeOut(5000);
						} else {
							$('body').ham3dModalbox({html: '<br /><a href="javascript:void(0);" onclick="$(\'#modalbox-wrap\').fadeOut(); return false;"><div class="add_popup"><div class="add_popup_content"><span>پسندیده شد.</span></div></div></a>', auto: 'ok'}).trigger('click');
							$( "#modalbox-wrap" ).fadeOut( 5000 );
						}
					},
					error: function () {
						$('body').ham3dModalbox({html: '<br /><a href="javascript:void(0);" onclick="$(\'#modalbox-wrap\').fadeOut(); return false;"><div class="add_popup"><div class="add_popup_content"><span>برای پسندیدن باید در سایت عضو شوید.</span></div></div></a>', auto: 'ok'}).trigger('click');
						$('#modalbox-wrap').fadeOut(5000, function(){
							$('.login_content').fadeIn( 500 );
							$( "#formloginlink form" ).append( '<input type="hidden" name="login" value="ok" />' );
						});
					}
				});
			});	
		});
	});

    $(function () {
        $("form[ajax_method='get']").unbind("submit").on("submit", function () {
            data = $(this).serialize();
            window.location.href = ($(this).attr("action") + "&" + data);
            return false
        });
		
        $("form[ajax_method!='get']").not(".not_ajax").ham3dform({
            start_form_validate: function (e, t) {
                $(t).each(function () {
                    if ($(this).val() == $(this).attr("error") || $(this).val() == $(this).attr("check")) {
                        $(t).val("")
                    }
                })
            },
            start_load: function (e) {
                $(e).css("position", "relative");
                //show_load();
                //if (!$.browser.msie) {
                    var t = new Sonic({
                        width: 10,
                        height: 10,
                        padding: 15,
                        strokeColor: "#000",
                        pointDistance: .01,
                        stepsPerFrame: 3,
                        trailLength: .7,
                        step: "fader",
                        setup: function () {
                            this._.lineWidth = 5
                        },
                        path: [
                            ["arc", 10, 10, 10, 0, 360]
                        ]
                    });
                    t.play();
                    if ($(e).find(".loader").length == 0) {
                        $('<div class="loader"><span class="cloader"></span></div>').css({
                            position: "absolute",
                            right: "40%",
                            top: "40%"
                        }).appendTo(e);
                        $("form").find(".cloader").append(t.canvas)
                    }
                //}
            },
            elements_no: function (e, t) {
                if (!t) t = "";
                $(".alert").removeClass("alert");
				
				if($(e).parents(".selector:first").length > 0) {
					$(".selector").removeClass("alert1");
					$(e).parents(".selector:first").addClass("alert1");
				}
					
                $(e).focus().addClass("alert").val(t).bind("keydown click", function () {
                    if ($(this).val() == t) {
                        $(this).val("").unbind("keydown").unbind("click")
                    }
                })
            },
            elements_ok: function (e) {},
            response: function (e, t) {
                now_form = e;
                if ($(e).prev().hasClass("error") || $(e).prev().hasClass("success")) {
                    $(e).prev().removeClass("success").addClass("error").html(t)
                } else {
                    $('<div class="error">' + t + "</div>").insertBefore(e)
                }
                $(".loader").fadeOut(function () {
                    $(this).remove()
                });
                //hide_load();
                if (typeof $(e).attr("noscroll") == "undefined") {
                    pos = $(e).position();
                    $("html, body").animate({
                        scrollTop: pos.top - 30
                    }, 600)
                }
            },
            check: function (e, t, n) {
                return $(e).attr("check_error")
            }
        });
		
    });
	
	$(function() {
		$("select").each(function() {
			$(this).val($(this).attr("myvalue"));
		});	
	});
	
}
do_run();